#include <mpi.h>
#include <stdlib.h>
#include <stdio.h>

int main (int argc, char *argv[])
{
  int task_count, task_rank;
  int rc;

  rc = MPI_Init (&argc, &argv);
  rc = MPI_Comm_size (MPI_COMM_WORLD, &task_count);
  rc = MPI_Comm_rank (MPI_COMM_WORLD, &task_rank);
  printf ("Task %d of %d tasks started\n",
          task_rank, task_count);
  rc = MPI_Barrier (MPI_COMM_WORLD);
  rc = MPI_Finalize ();

  return EXIT_SUCCESS;
}
