# this can be modified to build torque by hand when you want to do things
# differently from our default config scripts
ARCH=$(arch)
PBSSERVERHOME=/var/spool/pbs
PBSPREFIX=/usr/local/pbs
ROPTS="--with-scp"
LOG="/tmp/pbsbuild.log"

make clean
./configure \
        --prefix=$PBSPREFIX  \
        --exec-prefix=$PBSPREFIX/$ARCH \
        --set-server-home=$PBSSERVERHOME \
        --enable-syslog $ROPTS >>$LOG

if make >>$LOG
then
	if make install >>$LOG
	then
		export ARCHBIN="/$ARCH"
		cp -f buildutils/pbs_mkdirs $PBSPREFIX$ARCHBIN/sbin
		chmod 755 $PREFIX$ARCHBIN/sbin/pbs_mkdirs
	fi
fi

