#!/usr/bin/perl

#require NodeUtils;
#require MessageUtils;
#$::MSGCAT     = 'csmbluegene.cat';
#$::MSGMAPPATH = "/opt/csm/msgmaps";
#$::MSGSET     = 'predefinedres';

$RES::Condition{SensorRMDownOnNode} = {
	Name => 'SensorRMDownOnNode',
	ResourceClass => 'IBM.Program',
	#SelectionString => 'ProgramName == \"IBM.SensorRMd\"  && Filter == \"ruser==\\\\\"root\\\\\"\"',
	SelectionString => q(ProgramName == 'IBM.SensorRMd'  && Filter == 'ruser==\'root\''),
	ManagementScope => 4,
	EventExpression => 'Processes.CurPidCount < 1',
#	EventDescription => MessageUtils->getMessage('IMsgSensorRMDownOnMSEvent'),
	EventDescription => 'Detect when the RMC Sensor Resource Manager process is down on a node.',
	RearmExpression => 'Processes.CurPidCount >= 1',
#	RearmDescription => MessageUtils->getMessage('IMsgSensorRMDownOnMSRearm'),
	RearmDescription => 'Detect when the RMC Sensor Resource Manager process is back up.',
	Locked => 0,
	Severity => 1,
	ImmediateEvaluate => 0,
};
1;
